import i18next from "i18next";

import common_en from "./locales/en/translations.json";
import common_de from "./locales/de/translations.json";

i18next.init({
    interpolation: { escapeValue: false },
    lng: 'en',                              
    resources: {
        en: {
            ...common_en               
        },
        de: {
            ...common_de
        }
    },
});