import { CategoryType } from "./category.type"


// The actual Thunk type is hard to determine because is very generic 
export type ThunkFunc = any


export interface ThunkDTO {
    thunk: ThunkFunc
    payload: Object

    /**
     * Only one subscription per category is allowed.
     * New subscription will unsubscribe and overwrite the old one
     */
    category: CategoryType
}

export interface ThunkPersist {
    thunkId: number,
    payload: Object
    category: CategoryType,
    lastupdate: number
}
